std::tuple< _Elements >(3cxx)

NAME
std::tuple< _Elements >

SYNOPSIS

Inherits std::_Tuple_impl< 0, _Elements... >.

  Public Member Functions

constexpr tuple (const _Elements &... __elements)
template<typename... _UElements, typename = typename enable_if<__and_<is_convertible<_UElements, _Elements>...>::value>::type> constexpr tuple (_UElements &&... __elements)
constexpr tuple (const tuple &)=default
constexpr tuple (tuple &&)=default
template<typename... _UElements, typename = typename enable_if<__and_<is_convertible<const _UElements&, _Elements>...>::value>::type> constexpr tuple (const tuple< _UElements... > &__in)
template<typename... _UElements, typename = typename enable_if<__and_<is_convertible<_UElements, _Elements>...>::value>::type> constexpr tuple (tuple< _UElements... > &&__in)
template<typename _Alloc > tuple (allocator_arg_t __tag, const _Alloc &__a)
template<typename _Alloc > tuple (allocator_arg_t __tag, const _Alloc &__a, const _Elements &... __elements)
template<typename _Alloc , typename... _UElements, typename = typename enable_if<sizeof...(_UElements) == sizeof...(_Elements)>::type> tuple (allocator_arg_t __tag, const _Alloc &__a, _UElements &&... __elements)
template<typename _Alloc > tuple (allocator_arg_t __tag, const _Alloc &__a, const tuple &__in)
template<typename _Alloc > tuple (allocator_arg_t __tag, const _Alloc &__a, tuple &&__in)
template<typename _Alloc , typename... _UElements, typename = typename enable_if<sizeof...(_UElements) == sizeof...(_Elements)>::type> tuple (allocator_arg_t __tag, const _Alloc &__a, const tuple< _UElements... > &__in)
template<typename _Alloc , typename... _UElements, typename = typename enable_if<sizeof...(_UElements) == sizeof...(_Elements)>::type> tuple (allocator_arg_t __tag, const _Alloc &__a, tuple< _UElements... > &&__in)
tuple & operator= (const tuple &__in)
tuple & operator= (tuple &&__in) noexcept(is_nothrow_move_assignable< _Inherited >::value)
template<typename... _UElements, typename = typename enable_if<sizeof...(_UElements) == sizeof...(_Elements)>::type> tuple & operator= (const tuple< _UElements... > &__in)
template<typename... _UElements, typename = typename enable_if<sizeof...(_UElements) == sizeof...(_Elements)>::type> tuple & operator= (tuple< _UElements... > &&__in)
void swap (tuple &__in) noexcept(noexcept(__in._M_swap(__in)))

Detailed Description

  template<typename... _Elements>
class std::tuple< _Elements >" Primary class template, tuple.

Definition at line 463 of file tuple.

Author

Generated automatically by Doxygen for libstdc++ from the source code.